local t = Def.ActorFrame{
	Def.Quad{
		InitCommand=cmd(FullScreen;diffuse,color("1,0,0,0.5");diffusealpha,0);
		ShowDangerAllMessageCommand=cmd(stoptweening;diffusealpha,1;diffuseblink;effectcolor1,color("1,0,0,0.5");effectcolor2,color("1,0,0,0"));
		HideDangerAllMessageCommand=cmd(stoptweening;diffusealpha,0;stopeffect;);
	};
};

return t;